<?php 
	if (! is_plugin_active('wp-responder-email-autoresponder-and-newsletter-plugin/wpresponder.php')) 
	{
		//missing prerequisite!
		?>
		<strong>
			<br>
				<font color='red'>
					<p>A prerequisite is missing. In order to use the Enroll via IPN plugin:</p>
					<p>
						* Install and activate <a href="http://wordpress.org/extend/plugins/wp-responder-email-autoresponder-and-newsletter-plugin/">WP Autoresponder And Newsletter Plugin</a>
					</p>
					<p>* Configure a customer newsletter and a subscribtion form using the WP Autoresponder And Newsletter Plugin.</p>
				</font>
		</strong>
		<?php
		exit;
	}
?>

<div class="wrap">
	<div style="padding:5px;border:1px solid #dadada;font-family:tahoma, arial, helvetica, sans-serif;font-size:12px;float:right;position:absolute;top:25px;right:5px;width:250px;text-align:center;">
		If you enjoy or find this plugin useful, please donate to support future development.
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
			<input type="hidden" name="cmd" value="_s-xclick">
			<input type="hidden" name="hosted_button_id" value="ZEBTM73HM25R6">
			<input type="image" src="https://www.paypalobjects.com/en_US/NL/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
			<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
		</form>
		We thank you in advance.
	</div>
	<h2>Enroll via IPN Customer list setup</h2>

	Setup steps to be performed at <a href="http://www.PayPal.com">www.paypal.com</a>:
	<ol>
		<li>
			Log on to your <a href="http://www.PayPal.com">PayPal</a> account.
		</li>
		<li>
			Go to <em>Profile</em>.
		</li>
		<li>
			Click<em> Selling Preferences</em>.
		</li>
		<li>
			Click <em>Instant Payement Notification</em>.
		</li>
		<li>
			Click <em>choose IPN settings</em>.
		</li>
		<li>
			Make sure "Receive IPN messages" is set to <em>Enabled</em>.
		</li>
		<li>
			Set <strong>
				<?php bloginfo("siteurl") ?>/?ipn=1
			</strong> as your IPN Notification URL.
		</li>
		<li>
			Click <em>Save</em>.
		</li>
		<li>Done. You can log out from PayPal.</li>
	</ol>
	<br/>
	<?php 	
		//database setup
	
		//$res = mysql_query('drop table '.$wpdb->prefix.'EVI_SALES_MADE');	
		//TODO: upgrade once, then comment out
		//$res = mysql_query('drop table '.$wpdb->prefix.'EVI_PRODUCTS');
	
		$res = mysql_query('CREATE TABLE IF NOT EXISTS '.$wpdb->prefix.'EVI_SALES_MADE ('
			.'id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,created TIMESTAMP DEFAULT NOW(),'
			.'item_name VARCHAR(127),name varchar(256),email varchar(256), txn_id varchar(20),'.'
			currency varchar(3), exchange_rate NUMERIC, price NUMERIC)');	

		$res = mysql_query('CREATE TABLE IF NOT EXISTS '.$wpdb->prefix.'EVI_PRODUCTS ('
			.'id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, created TIMESTAMP DEFAULT NOW(), '
			.'item_name VARCHAR(127), fid NUMERIC, aid NUMERIC)');

		//print EVI_PUGIN_NAME ." ". EVI_CURRENT_VERSION. "<sub>(Build ".EVI_CURRENT_BUILD.")</sub>"; 

		//now the particular configuration for this website
		$currentlySelectedResponder = get_option('EVI_Customer_List_Autoresponder_ID');
		$currentlySelectedForm = get_option('EVI_Customer_List_Form_ID');
	?>

	<form method="post" name="settingsform" action="options.php">
		<?php
			settings_fields( 'EVI-settings-group' );
		?>
		<table class="form-table">

			<tr>
				<th scope="row">Primary seller's PayPal email. (Email address you are using when logging in to PayPal.)</th>
				<td>
					<input style="width: 320px;" type="text" name="EVI_Paypal_Seller_email" value="<?php echo get_option('EVI_Paypal_Seller_email'); ?>" />
				</td>
			</tr>

			<tr>
				<th width='50%' scope="row">Notification email for IPN processing (where this plugin can send you warnings, IPN and debug information) </th>
				<td>
					<input style="width: 320px;" type="text" name="EVI_Notification_email" value="<?php echo get_option('EVI_Notification_email'); ?>" />
				</td>
			</tr>
			<tr>
				<th width='50%' scope="row">Send notification on valid paypal IPN?</th>
				<td>
					 <input type="checkbox" name="EVI_Notify_On_Valid_IPN" value="1" <?php if(get_option('EVI_Notify_On_Valid_IPN')=='1'){echo ' checked="checked" ';} ?>/>
				</td>
			</tr>
			<br/>

			<tr>
				<th scope="row">
					<strong>Need a setup tutorial? Go to the <a href="http://evi.brickmiracles.com/tutorial">homepage of EVI</a>.</strong>
				</th>
				<td>
					
				</td>
			</tr>

			<tr>
				<th scope="row">
					Default "subscribtion form" defining newsletter and confirmation emails with optin information for generic product sale
					(if a product specific setup does not exist for this product).
					Note that if you need product specific confirmation email (containing product specific download link),
					you must <a href="admin.php?page=enroll-via-ipn/EVI_products_setup.php">configure products</a>.
				</th>

				<td width="474">
					<select style="width: 320px;" name="EVI_Customer_List_Form_ID" id="EVI_Customer_List_Form_ID">
						<?php
							$forms = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."wpr_subscription_form");
							if (!count($forms))
							{
								//no form defined, this is still ok, the only thing the user probably wants to do 
								//is to register products sold, so no subscribtion work will be done
								
								echo '<option value=0 selected="selected" >No subscribtion form available</option>';
							}
							else
							{
								//default form is optional
								echo '<option value=0';
								if ($currentlySelectedForm == 0)
								{ 
									echo ' selected="selected"'; 
								} 
								echo '>None</option>';

								foreach ($forms as $form)
								{
									$newsletter = _wpr_newsletter_get($form->nid);

									echo '<option value='.$form->id;
									if ($currentlySelectedForm == $form->id)
									{
										echo ' selected="selected"';
									}
									
									echo '>'.$form->name.' | '.$newsletter->name.' </option>';
								}
							}
						?>
					</select>
				</td>
			</tr>

			<tr>
				<th scope="row">
					Default autoresponder to handle generic product sale (if a product specific setup does not exist 
					for this product). Note that if you need product specific autoresponder email (like product specific 
					customer satisfaction form), you must <a href="admin.php?page=enroll-via-ipn/EVI_products_setup.php">configure products</a>.
				</th>

				<td width="474">
					<select style="width: 320px;" name="EVI_Customer_List_Autoresponder_ID" id="EVI_Customer_List_Autoresponder_ID">
						<?php
							$autoresponders = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."wpr_autoresponders");
							if (!count($autoresponders))
							{
								//no autoresponder defined
								echo '<option value=0 selected="selected" >No autoresponders available</option>';
							}
							else
							{
								//default autoresponder is optional
								echo '<option value=0';
								if ($currentlySelectedResponder == 0)
								{ 
									echo ' selected="selected"'; 
								} 
								echo '>None</option>';

								foreach ($autoresponders as $autoresponder)
								{
									echo '<option value='.$autoresponder->id;
									if ($currentlySelectedResponder == $autoresponder->id)
									{
										echo ' selected="selected"';
									}
									echo '>'.$autoresponder->name.'</option>';
								}
							}
						?>
					</select>
				</td>
			</tr>

			<tr>
				<th scope="row">
					<a href="admin.php?page=enroll-via-ipn/EVI_products_setup.php">Assign newsletters per product</a>
				</th>
			</tr>
			<tr>

				<th width='50%' scope="row">Collect information about products sold?</th>
				<td>
					<input type="checkbox" name="EVI_Track_Sales" value="1" <?php if(get_option('EVI_Track_Sales')=='1'){echo ' checked="checked" ';} ?>/>
				</td>
			</tr>
		</table>
		<p class="submit">
			<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
		</p>
	</form>
</div>
